Subject: bug#6497: 6497

From: Geoff Gole <[email-masked]>
Date: Thu, 1 Jul 2010 17:20:25 +0800

> Given the similarity of docstrings for `indirect-variable' and
> `indirect-function' it is possible for a user to assume the quoting
> rules of `indirect-variable' apply as well to `indirect-function'.

There are no "quoting rules" for indirect-variable or
indirect-function. They are regular functions and have the same
argument evaluation semantics as every other regular function.

> More troublesome though is that neither `indirect-function' nor
> `symbol-function' document their return values in any meaningful way:

They mention that they return a "function definition", which is
appropriately abstract given that these functions don't depend in any
way on the details of function representation. Function values are
already documented in detail elsewhere, and duplicating that
documentation would not be helpful.